%clear

PropVrec = Vrec(:, 1:2:200)

ACOPFVrec = Vrec(:, 2:2:200)



   set(0,'DefaultAxesFontSize',16);
   set(0,'DefaultFigureColor','w')
    set(0,'defaulttextinterpreter','tex')
   set(0, 'DefaultAxesFontName', 'Times');

figure
   
boxplot(PropVrec(1:13, :)', 'BoxStyle', 'filled', 'MedianStyle', 'line', 'Symbol', 'o', 'OutlierSize', 4, 'Colors', [163, 71, 56] / 255)

a = get(get(gca,'children'),'children');   % Get the handles of all the objects
t = get(a,'tag');   % List the names of all the objects 
idx=strcmpi(t,'box');  % Find Box objects
boxes=a(idx);          % Get the children you need
set(boxes,'linewidth',7); % Set width

axis([0 14 0.94 1.06])

xlabel('Generator index')
ylabel('Voltage (pu) \rightarrow')

 hold on

line([0, 14], [1, 1], 'Color', [0.25 0.25 0.25], 'LineWidth', 0.25)


box off

FigWidth = 7 * 2
FigHeight = 3  * 2 * 0.8

%# set size of figure's "drawing" area on screen
set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
%# create some plot, and make axis fill entire figure
set(gca, 'Units','normalized')
set(gca, 'Position',[0.16 0.35 0.82 0.48])



 export_fig('PostReviewPropBoxPlot', '-m4', '-nocrop')

figure
   
boxplot(ACOPFVrec(1:13, :)', 'BoxStyle', 'filled', 'MedianStyle', 'line', 'Symbol', 'o', 'OutlierSize', 4, 'Colors', [163, 71, 56] / 255)

a = get(get(gca,'children'),'children');   % Get the handles of all the objects
t = get(a,'tag');   % List the names of all the objects 
idx=strcmpi(t,'box');  % Find Box objects
boxes=a(idx);          % Get the children you need
set(boxes,'linewidth',7); % Set width

axis([0 14 0.94 1.06])

xlabel('Generator index')
ylabel('Voltage (pu) \rightarrow')

 hold on

line([0, 14], [1, 1], 'Color', [0.25 0.25 0.25], 'LineWidth', 0.25)


box off

FigWidth = 7 * 2
FigHeight = 3  * 2 * 0.8

%# set size of figure's "drawing" area on screen
set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
%# create some plot, and make axis fill entire figure
set(gca, 'Units','normalized')
set(gca, 'Position',[0.16 0.35 0.82 0.48])


 export_fig('PostReviewACOPFBoxPlot', '-m4', '-nocrop')


 
 %[TotalNetWindPower, -TotalInitialExport,-NovelMaxedExport, -ValidatedNovelMaxedExport, -TotalACOPFExport]
 dir
 MWSaved = LossRec(:, 3) - LossRec(:, 3)
 
 
 
% [TotalNetWindPower, -TotalInitialExport,-NovelMaxedExport, -ValidatedNovelMaxedExport, -TotalACOPFExport]];

 
OnePULosses = LossRec(:, 1) - LossRec(:, 2)
NovelLosses = LossRec(:, 1) - LossRec(:, 4)
ACOPFLosses = LossRec(:, 1) - LossRec(:, 5)


scatter(LossRec(:, 1), OnePULosses./LossRec(:, 1), 20, [152,78,163]/255, 'filled')
hold on
scatter(LossRec(:, 1), NovelLosses./LossRec(:, 1), 20, [55,126,184]/255, 'filled')
scatter(LossRec(:, 1), ACOPFLosses./LossRec(:, 1), 20, [228,26,28]/255, 'filled')
 axis([0 50 0 0.1])


scatter(ACOPFLosses, NovelLosses)

[f,x] = ecdf(OnePULosses)
p1 = plot(x,f,'Color', [152,78,163]/255,'LineWidth',2); hold on
 p1.Color(4) = 0.65; %a bit of alpha
hold on

 [f,x] = ecdf(ACOPFLosses)
p3 = plot(x,f,'Color', [55,126,184]/255,'LineWidth',2); hold on
 p3.Color(4) = 0.65; %a bit of alpha
 
[f,x] = ecdf(NovelLosses)
p2 = plot(x,f,'Color', [228,26,28]/255 ,'LineWidth',2); hold on
 p2.Color(4) = 0.65; %a bit of alpha
 
 axis([0 3 0 1])
 
% set(gca, 'Xtick', sort([0, 1, round(median(NovelLosses),2), round(median(ACOPFLosses),2) ,round(median(OnePULosses),2), 2, 3])  )
 
% set(gca, 'XtickLabels', {'0', '1', '', '', '', '2', '3', '4'})

 
 set(gca, 'Ytick', [0, 0.5, 1])

set(gca, 'YtickLabels', {'', '50%', '100%'})

xlabel('Power losses (MW) \rightarrow')
ylabel('Cumulative periods \rightarrow')

box off 

FigWidth = 7 * 2
FigHeight = 4  * 2

%# set size of figure's "drawing" area on screen
set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
%# create some plot, and make axis fill entire figure
set(gca, 'Units','normalized')
set(gca, 'Position',[0.18 0.22 0.77 0.72])

 export_fig('LossesECDF', '-m4', '-nocrop')



 
 
 
 
 