clear;

define_constants;

BaseSystem = loadcase('nesta_case30_ieee'); %load up whatever system we want to analyse

BusesToKeep = find(BaseSystem.bus(:, BASE_KV) == 33)

BusesToNix = setdiff(BaseSystem.bus(:, 1), BusesToKeep)

BaseSystem.bus(BusesToNix, :) = []; %Kill them

BranchesToNix = find(ismember(BaseSystem.branch(:, F_BUS), BusesToNix))

BranchesToNix = [BranchesToNix; find(ismember(BaseSystem.branch(:, T_BUS), BusesToNix))]

BaseSystem.branch(BranchesToNix, :) = []; %Kill them

BaseSystem.gen = repmat(BaseSystem.gen(1,:), size(BaseSystem.bus,1),1)

BaseSystem.gen(:, GEN_BUS) = BaseSystem.bus(:, 1) %A generator at every bus, initially

BaseSystem.gen([13, 14, 16, 4, 1], :) = [] %Leave these as mesh points

BaseSystem.gen(:, PG) = 7 %A generator at every bus, initially
BaseSystem.gen(:, PMAX) = 8 %Eight MW wind generator

BaseSystem.gencost = repmat(BaseSystem.gencost(1,:), size(BaseSystem.gen,1),1)

BaseSystem = ext2int(BaseSystem)
BaseSystem = rmfield(BaseSystem, 'order')

GensBehindSystem = PutGensBehindUnitSubs(BaseSystem);

GensBehindSystem = ext2int(GensBehindSystem);
GensBehindSystem = rmfield(GensBehindSystem, 'order')

GensBehindSystem.bus(GensBehindSystem.gen(:,1), BUS_TYPE) = 2; %Make the gen buses PV

GensBehindSystem.bus(GensBehindSystem.gen(1,GEN_BUS), BUS_TYPE) = 3; %Make bus 28 the  slack

sum(GensBehindSystem.bus(:, PD))

GensBehindSystem.bus(:, PD) = GensBehindSystem.bus(:, PD) * 0.05
GensBehindSystem.bus(:, QD) = GensBehindSystem.bus(:, QD) * 0.05

GensBehindSystem.bus(:, VMIN) = 0.9
GensBehindSystem.bus(:, VMAX) = 1.1

GensBehindSystem.bus(:, BS) = 0.1; %Add lots of small capacitors to help conditioning of Yggm

sum(GensBehindSystem.bus(:, PD))
sum(GensBehindSystem.gen(:, PMAX))

plot_mpc(GensBehindSystem)

export_fig (['case30EHN.png'], '-m4', '-nocrop')

savecase('case30EHN.m', GensBehindSystem )

GenRandOutputs = rand(size(GensBehindSystem.gen,1),100) * 8 

GenRandVoltageSetting = (rand(size(GensBehindSystem.gen,1),100) /10) + 0.95;

